Skip to main content
GET
Get Agent

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agent_id
string
required
tenant
string | null
required

The domain of the customer

Example:

"example.com"

Response

Successful Response

name
string
required

The name of the agent

id
string | null

The id of the agent

description
string | null

The description of the agent

audience
string | null

Who the agent serves (e.g. 'bank advisors who use AIDA to understand internal documents')

Maximum string length: 500
assistant_role
string | null

The role the assistant plays (e.g. 'an expert banking assistant that helps advisors')

Maximum string length: 500
tone
string | null

The tone of responses (e.g. 'professional, concise, supportive')

Maximum string length: 500
response_behavior
string | null

How the agent should respond (e.g. who to address, how to structure answers)

Maximum string length: 500
guardrails
string | null

Constraints the agent must respect or things it must verify before answering

Maximum string length: 500
output_format
string | null

The preferred structure or format of the answer

Maximum string length: 500
created_at
string<date-time> | null

The date when the agent was created

updated_at
string<date-time> | null

The date when the agent was last updated

permissions
Permission · object[] | null

The permissions of the agent

sources
DataSource · object[] | null

The sources of the agent

glossary_ids
string[] | null

The IDs of glossaries associated with the agent

skill_ids
string[] | null

The IDs of skills associated with the agent

dynamic_filters
AgentMetadataFilterField · object[] | null

Low-cardinality metadata fields that the agent may use to scope searches

dynamic_filter_instructions
string | null

Instructions that help the agent select metadata filter values for a question

Maximum string length: 10000